New namespace aliases for Italian Wikiversity
Closed, ResolvedPublic

Description

Hi, the following table lists existing namespaces on it.wikiversity.org.<br />
Requested aliases are in the column on the right.

CanonicalLocalizedAlias
MediaFile-
SpecialSpeciale-
(Main)--
TalkDiscussione-
UserUtenteU
User talkDicussioni utenteDU
ProjectWikiversitàWV
Project talkDiscussioni WikiversitàDWV
FileFile-
File talkDiscussioni file-
MediaWikiMediaWiki-
MediaWiki talkDiscussioni MediaWiki-
TemplateTemplateT
Template talkDiscussioni TemplateDT
HelpAiutoA
Help talkDiscussioni aiutoDA
CategoryCategoriaCAT
Category talkDiscussioni categoriaDCAT
-Area-
-Discussioni areaDAREA
-CorsoC
-Discussioni corsoDC
-MateriaM
-Discussioni materiaDM
-DipartimentoDIP
-Discussioni dipartimentoDDIP
ModuleModulo-
-Discussioni modulo-
-Accessorio-
-Discussioni accessorio-
-Definizione accessorio-
-Discussioni definizione accessorio-

The request has been discussed here and is supported by the local community.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2017, 4:17 PM
Urbanecm claimed this task.Feb 22 2017, 8:51 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptFeb 22 2017, 8:51 PM
Urbanecm triaged this task as Normal priority.Feb 22 2017, 8:51 PM
Samuele2002 updated the task description. (Show Details)Feb 22 2017, 10:04 PM
Samuele2002 updated the task description. (Show Details)
Urbanecm added a comment.EditedFeb 23 2017, 6:29 AM

Thank you for your request! There are three aliases which can't be set up because they are let's say reserved for another purpose (interwiki links for now). List of those aliases follows together with the project they are link to.

  • DA (Danish version of Wikiversity)
  • C (Wikimedia Commons)
  • M (Meta Wiki)

You have to change this aliases to another which won't conflict.

Change 339348 had a related patch set uploaded (by Urbanecm):
New namespace aliases for itwikiversity

https://gerrit.wikimedia.org/r/339348

Thank you Urbanecm! Sorry, I forgot about possible conflicts. I would suggest:

HelpAiutoH
Help talkDiscussioni aiutoDH
-Corso-
-MateriaMA or MAT
-Discussioni materiaDMA or DMAT

Thank you. I've updated the patch so it reflect new aliases. The patch will be deployed at Monday between 14:00 and 15:00 UTC.

Thank you very much!

You're welcome!

Change 339348 merged by jenkins-bot:
New namespace aliases for itwikiversity

https://gerrit.wikimedia.org/r/339348

hashar added a subscriber: hashar.Feb 27 2017, 2:24 PM

Unrelated but there was one wrong link which I fixed:

$ mwscript namespaceDupes.php --wiki=itwikiversity --fix
0 pages to fix, 0 were resolvable.

pagelinks from=33 ns=0 dbk=Wikiversità:Bot -> Wikiversità:Bot
1 links to fix, 1 were resolvable.

Looks good!

After I have deployed the change on a work machine, two links have been fixed:

$ mwscript namespaceDupes.php --wiki=itwikiversity -fix
0 pages to fix, 0 were resolvable.

pagelinks from=16476 ns=0 dbk=T:Immagine_sinottico -> Template:Immagine_sinottico DRY RUN
pagelinks from=16478 ns=0 dbk=T:Immagine_sinottico -> Template:Immagine_sinottico DRY RUN
2 links to fix, 2 were resolvable.

Looks good!

Mentioned in SAL (#wikimedia-operations) [2017-02-27T14:29:18Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: New namespace aliases for itwikiversity - T158775 (duration: 00m 43s)

hashar closed this task as Resolved.Feb 27 2017, 5:56 PM

@Samuele2002: Please do not remove project tags - thanks!

Samuele2002 added a comment.EditedFeb 28 2017, 3:37 PM

I'm so sorry I have not done on purpose when I saved the comment marked the two removed tags and thought that they had been removed automatically. Even now that I saved the comment was to remove them again because it opened me the tag bar with just one and not all.

No worries! It is surprisingly easy to drop several tags in the Phabricator list, it often happens to me :-]

Enjoy the new namespace aliases!

@Samuele2002: No worries, really :)